# Uses of Class
javax.management.relation.InvalidRelationTypeException

Packages that use InvalidRelationTypeException
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of InvalidRelationTypeException in javax.management.relation

Methods in javax.management.relation that throw InvalidRelationTypeException
Modifier and Type
Method
Description
`void`
RelationService.`addRelationType(RelationType relationTypeObj)`
Adds given object as a relation type.
`void`
RelationServiceMBean.`addRelationType(RelationType relationTypeObj)`
Adds given object as a relation type.
`protected void`
RelationTypeSupport.`addRoleInfo(RoleInfo roleInfo)`
Add a role info.
`void`
RelationService.`createRelationType(String relationTypeName, RoleInfo[] roleInfoArray)`
Creates a relation type (a RelationTypeSupport object) with given role infos (provided by the RoleInfo objects), and adds it in the Relation Service.
`void`
RelationServiceMBean.`createRelationType(String relationTypeName, RoleInfo[] roleInfoArray)`
Creates a relation type (RelationTypeSupport object) with given role infos (provided by the RoleInfo objects), and adds it in the Relation Service.
Constructors in javax.management.relation that throw InvalidRelationTypeException
Modifier
Constructor
Description
``
`RelationTypeSupport(String relationTypeName, RoleInfo[] roleInfoArray)`
Constructor where all role definitions are dynamically created and passed as parameter.